#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Perl
%define	pnam	Critic
Summary:	Perl::Critic - Critique Perl source code for best-practices
Summary(pl.UTF-8):	Perl::Critic - krytyka kodu źródłowego w Perla pod kątem najlepszych praktyk
Name:		perl-Perl-Critic
Version:	1.132
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	76042c0516190419e0424f10366231ae
URL:		http://search.cpan.org/dist/Perl-Critic/
BuildRequires:	perl-B-Keywords >= 1.05
BuildRequires:	perl-List-MoreUtils >= 0.19
BuildRequires:	perl-Module-Build >= 0.4200
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Exporter) >= 5.63
BuildRequires:	perl-Config-Tiny >= 2
BuildRequires:	perl-Email-Address >= 1.889
BuildRequires:	perl-Exception-Class >= 1.23
BuildRequires:	perl-IO-String
BuildRequires:	perl-Module-Pluggable >= 3.1
BuildRequires:	perl-PPI >= 1.224
BuildRequires:	perl-PPIx-Regexp >= 0.027
BuildRequires:	perl-PPIx-Utilities >= 1.001
BuildRequires:	perl-PPIx-QuoteLike
BuildRequires:	perl-PadWalker
BuildRequires:	perl-Pod-Spell >= 1
BuildRequires:	perl-Readonly >= 2.00
BuildRequires:	perl-String-Format >= 1.13
BuildRequires:	perl-Task-Weaken
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Memory-Cycle
BuildRequires:	perl-Test-Simple >= 0.92
BuildRequires:	perl-version >= 0.77
BuildRequires:	perltidy
%endif
Requires:	perl(Exporter) >= 5.63
Requires:	perl-B-Keywords >= 1.05
Requires:	perl-Config-Tiny >= 2
Requires:	perl-Email-Address >= 1.889
Requires:	perl-Exception-Class >= 1.23
Requires:	perl-List-MoreUtils >= 0.19
Requires:	perl-Module-Pluggable >= 3.1
Requires:	perl-PPI >= 1.220
Requires:	perl-PPIx-Regexp >= 0.027
Requires:	perl-PPIx-Utilities >= 1.001
Requires:	perl-Readonly >= 2.00
Requires:	perl-String-Format >= 1.13
Requires:	perl-dirs >= 4-4
Requires:	perl-version >= 0.77
Suggests:	perl-Term-ANSIColor >= 2.02
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Perl::Critic.*)'

%description
Perl::Critic is an extensible framework for creating and applying
coding standards to Perl source code. Essentially, it is a static
source code analysis engine. Perl::Critic is distributed with a
number of Perl::Critic::Policy modules that attempt to enforce
various coding guidelines. Most Policy modules are based on Damian
Conway's book Perl Best Practices. However, Perl::Critic is not
limited to PBP and will even support Policies that contradict Conway.
You can enable, disable, and customize those Polices through the
Perl::Critic interface. You can also create new Policy modules that
suit your own tastes.

%description -l pl.UTF-8
Perl::Critic to rozszerzalny szkielet do tworzenia i nanoszenia
standardów kodowania dla kodu źródłowego w Perlu. Zasadniczo jest to
statyczny silnik do analizy kodu źródłowego. Perl::Critic jest
rozpowszechniany z wieloma modułami Perl::Critic::Policy, próbującymi
wymusić różne wskazania dotyczące kodowania. Większość modułów Policy
jest oparta na książce "Perl Best Practices" Damiana Conwaya. Jednak
Perl::Critic nie jest ograniczony do PDB i będzie obsługiwał polityki
nawet niezgodne z Conwayem. Poprzez interfejs Perl::Critic można
włączać, wyłączać i dostrajać polityki. Można także tworzyć nowe
moduły Policy odpowiadające własnym gustom.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Perl/Critic/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md TODO.pod extras
%attr(755,root,root) %{_bindir}/perlcritic
%{perl_vendorlib}/Perl/Critic.pm
%{perl_vendorlib}/Perl/Critic
%dir %{perl_vendorlib}/Test/Perl/Critic
%{perl_vendorlib}/Test/Perl/Critic/Policy.pm
%{_mandir}/man1/perlcritic.1*
%{_mandir}/man3/Perl::Critic*.3pm*
%{_mandir}/man3/Test::Perl::Critic::Policy.3pm*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Perl-Critic.git;a=log;h=master

* Tue Nov 20 2018 Adam Gołębiowski <adamg@pld-linux.org> b73fb6d
- tests BR: perl-PPI >= 1.224, perl-PPIx-QuoteLike

* Mon Nov 19 2018 Adam Gołębiowski <adamg@pld-linux.org> bcd89c2
- updated to 1.132

* Mon Nov 19 2018 Adam Gołębiowski <adamg@pld-linux.org> a6d891c
- perl-B-Keywords and perl-List-MoreUtils are required for build not, for tests only

* Thu Nov 17 2016 Jakub Bogusz <qboosh@pld-linux.org> ed3c419
- updated to 1.126

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ad799f7
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> fc32c8d
- BR: perl-Test-Deep, perltidy
- release 2

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 43182f3
- updated to 1.117; more BRs for tests

* Tue Mar 01 2011 Jakub Bogusz <qboosh@pld-linux.org> c20c3b2
- updated to 1.113

* Fri Sep 11 2009 amateja <amateja@pld-linux.org> bc222a3
- updated to 1.105
- several BRs version bumped up

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 830bd27
- package dir perl_vendorlib/Perl (maybe it should belongs to perl-dirs)

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 72b297c
- BR: perl-Exception-Class, perl-Readonly

* Thu Jan 10 2008 Maciej Pijanka <agaran@pld-linux.org> f6d15a3
- up to 1.080, rel 1, thx radek

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 4683180
- BR: perl-Module-Build

* Tue Mar 27 2007 radek <radek@pld-linux.org> 8416af6
- version 1.05, BR: perl-B-Keywords

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fb80b4b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 446bc67
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 4095835
- new

